package speiger.src.coreengine.utils.collections.registries.flat;

import speiger.src.coreengine.utils.collections.registries.simple.IRegistryEntry;

public interface IFlatRegistryEntry<T extends IFlatRegistryEntry<T>> extends IRegistryEntry<T>
{
	public int getMetadata();
	
	public void setFlatId(int id);
	public int getFlatId();
}
